﻿using System;
using System.Reflection;

using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            GeoMapCoordinateSystem geoMapCoordinateSystem = this.mapControl.CoordinateSystem as GeoMapCoordinateSystem;

            geoMapCoordinateSystem.Projection = new HammerAitoffProjection();

            Uri baseURI = new Uri(Assembly.GetEntryAssembly().Location);

            this.shapefileDataAdapter.FileUri = new Uri(baseURI, "Data/Countries.shp");
        }

        #endregion
    }
}